#!/usr/bin/perl

BEGIN { $APP_PATH=$0; $APP_PATH=~s/(\/*)[^\/]+$/$1/g; push @INC,$APP_PATH;}

# @
# ----------------------------------------------------------------------------------------------------------
# @ This code is (c) 1999 Alexandre Aufrere and NikoSoft.
# @ Published under NPL rights, meaning you have the right
# @ to use and modify this code freely, provided it 
# @ remains available and free. Any modified code should be
# @ submitted to Nikopol Software Corp. or Alexandre Aufrere.
# @ This code is protected by the French laws on Copyright.
# @ Please note that there it comes with NO WARRANTY of any kind,
# @ and especially for any damagbe it could cause to your computer
# @ or network.
# @ Using this code means you agree to this license agreement.
# @ Further information at http://www.nikosoft.net/
# @
# ----------------------------------------------------------------------------------------------------------
# @ 
# @ Project     NS WebMail
# @ 
# @ Filename        frameset.pl
# @ 
# @ Description frames manager for NS WebMail
# @ 
# @ Version     1.0
# @ 
# @
# ----------------------------------------------------------------------------------------------------------

use strict;
use Mail::POP3Client;
use configwm;
use common;
use CGI;

#use the $cgi object method param() to
#acquire the FORM variables passed by
#the client browser.
my $query=new CGI;
my $nswmc=new common;
my $loginname = $query->param("loginname");
my $password  = $query->param("password");
my $POPserver = $query->param("POPserver");
my $cache     = "No";

my $pkey = join ('', ('.', '!', 0..9, 'A'..'Z', 'a'..'z')[rand 64, rand 64, rand 64, rand 64, rand 64, rand 64]);

my $cookie = $query->cookie(-name => "PKEY", -value => $pkey, -domain => $conf::cookiedomain, -path => $conf::cookiepath);

print $query->header(-cookie => $cookie) if (defined($conf::cookiedomain));
print $query->header(-expires => "-1d") if (!defined($conf::cookiedomain));

print "<html>";
print "<head><meta http-equiv=\"Pragma\" content=\"no-cache\"></head>";
print "<frameset cols=100,* border=0 marginwidth=0>
                <frame src=\"".$conf::CGI_PATH_NSWM."menu.pl?loginname=$loginname\&POPserver=$POPserver\&cache=$cache\&password=".$nswmc->cryptit($password,$pkey)."\" name=menu marginwidth=3>
                 <frame src=\"".$conf::CGI_PATH_NSWM."inbox.pl?loginname=$loginname\&POPserver=$POPserver\&cache=$cache\&password=".$nswmc->cryptit($password,$pkey)."\" name=main>
        </frameset>";
print "</html>";

undef($pkey);
undef($cookie);
exit;
