#!/usr/bin/perl

BEGIN { $APP_PATH=$0; $APP_PATH=~s/(\/*)[^\/]+$/$1/g; push @INC,$APP_PATH; }

# @ ----------------------------------------------------------------------------------------------------------
# @ This code is (c) 1999 Alexandre Aufrere and NikoSoft.
# @ Published under NPL rights, meaning you have the right
# @ to use and modify this code freely, provided it 
# @ remains available and free. Any modified code should be
# @ submitted to Nikopol Software Corp. or Alexandre Aufrere.
# @ This code is protected by the French laws on Copyright.
# @ Please note that there it comes with NO WARRANTY of any kind,
# @ and especially for any damagbe it could cause to your computer
# @ or network.
# @ Using this code means you agree to this license agreement.
# @ Further information at http://www.nikosoft.net/
# @ ----------------------------------------------------------------------------------------------------------
# @ 
# @ Project		NS WebMail
# @ 
# @ Filename		menu.pl
# @ 
# @ Description	menu frame of NS WebMail
# @ 
# @ Version		1.0
# @ 
# @ ----------------------------------------------------------------------------------------------------------

use strict;
use common;
use configwm;
use CGI;
use URI::Escape;

#use the $cgi object method param() to
#acquire the FORM variables passed by
#the client browser.
my $query= new CGI;
my $loginname = $query->param("loginname");
my $password  = URI::Escape::uri_escape($query->param("password"));
my $POPserver = $query->param("POPserver");
my $cache     = $query->param("cache");

$|=1;

# HTML Code
print "Content-type:text/html\n\n";
print "<HTML><HEAD><TITLE>NS WM Menu</TITLE>";
print "<meta http-equiv=\"Pragma\" content=\"no-cache\"></head>";

print "<BODY BGCOLOR=$conf::lightbgcolormenu LINK=$conf::linkcolormenu TEXT=$conf::linkcolormenu VLINK=$conf::linkcolormenu ALINK=$conf::linkcolormenu>\n";

print "<br>\n<br>\n<FONT FACE=\"arial\" SIZE=-2>";
print "<a href=\"sendform.pl?loginname=$loginname\&POPserver=$POPserver\&cache=$cache\&password=$password\" target=\"main\"><IMG SRC=\"$conf::PATH_NSWM/newmail.gif\" BORDER=0 align=left>$conf::newmsgtext</a><br clear=all><br>\n";
print "<a href=\"inbox.pl?loginname=$loginname\&POPserver=$POPserver\&cache=$cache\&password=$password\" target=\"main\"><IMG SRC=\"$conf::PATH_NSWM/inbox.gif\" BORDER=0 align=left>$conf::inboxtext</a><br clear=all><br>\n";
print "<a href=\"sentmail.pl?loginname=$loginname\&POPserver=$POPserver\&cache=$cache\&password=$password\" target=\"main\"><IMG SRC=\"$conf::PATH_NSWM/sentmail.gif\" BORDER=0 align=left>$conf::sentmsgtext</a><br clear=all><br>\n";
print "<a href=\"login.pl\" target=dyna><IMG SRC=\"$conf::PATH_NSWM/exit.gif\" BORDER=0 align=left>$conf::logouttext</a><BR>\n";

print "</FONT></BODY>\n</HTML>\n";

exit;

