#!/usr/bin/perl
 
##########
#
# Common authentication functions used by some scripts
# May be reimplemented to use LDAP or so.
#
##########
 
use CGI::Carp qw(fatalsToBrowser);
use configwm;
use Mail::POP3Client;
 
package nswmauth;

sub new {
        my $self={};
        ($self->{modname})=@_;
        bless $self;
        return $self;
}

sub isAuthOK {
	my ($selfi,$loginname,$decryptedpassword,$POPserver)=@_;	

	my $pop = new Mail::POP3Client( USER=>$loginname,
                                        PASSWORD=> $decryptedpassword,
                                        HOST=>$POPserver,
                                        AUTH_MODE=>$conf::POPauth,
                                        PORT=>$conf::POPport
                                       );
	my $MessageCount = $pop->Count;
	$pop->Close();
 
	if ($MessageCount == -1) {
		return 0;
	        }
	return 1;
}

return 1;
