#!/usr/bin/perl

BEGIN { $APP_PATH=$0; $APP_PATH=~s/(\/*)[^\/]+$/$1/g; push @INC,$APP_PATH;}

# @ ----------------------------------------------------------------------------------------------------------
# @ This code is (c) 1999 Alexandre Aufrere and NikoSoft.
# @ Published under NPL rights, meaning you have the right
# @ to use and modify this code freely, provided it 
# @ remains available and free. Any modified code should be
# @ submitted to Nikopol Software Corp. or Alexandre Aufrere.
# @ This code is protected by the French laws on Copyright.
# @ Please note that there it comes with NO WARRANTY of any kind,
# @ and especially for any damagbe it could cause to your computer
# @ or network.
# @ Using this code means you agree to this license agreement.
# @ Further information at http://www.nikosoft.net
# @ ----------------------------------------------------------------------------------------------------------
# @ 
# @ Project		NS WebMail
# @ 
# @ Filename		sentmail.pl
# @ 
# @ Description		outbox manager for NS WebMail
# @ 
# @ Version		1.0
# @ 
# @ ----------------------------------------------------------------------------------------------------------

use strict;
use common;
use nswmauth;
use configwm;
use CGI;
use Mail::POP3Client;

my $query=new CGI;
my $nswmc=new common;
my $nswmau=new nswmauth;
my $loginname = $query->param("loginname");
my $password  = $query->param("password");
my $POPserver = $query->param("POPserver");
#$lastMsg   = $in{'lastMsg'};
#$deleteMsg = $in{'deleteMsg'};
my $cache     = $query->param("cache");

#output the header to the client browser (DO NOT DELETE).
#lack of this will result in an error 500.
print "Content-type: text/html\n\n";
print "<HTML><HEAD><TITLE>NSWM - Sent Mails</TITLE>";
 
if ($nswmau->isAuthOK($loginname,$nswmc->decryptit($password,$query->cookie("PKEY")),$POPserver) == 0) {
        print "</HEAD><BODY>";
        print "<font size=+1>$POPserver: $loginname, $conf::incorrectlogin";
        exit;
        }

print "<META HTTP-EQUIV='Pragma' CONTENT='no-cache'>"; 
print "</HEAD>\n<BODY BGCOLOR='#FFFFFF'><br>";

$nswmc->startmenu($loginname,$POPserver,$cache,$password) if ($conf::noframes);

# open the log file
my $logfilename=$conf::LOG_PATH.$loginname."\@".$POPserver.".log";
open (FLOG, "$logfilename");
my @msgsentlist=<FLOG>;
close (FLOG);

@msgsentlist=reverse(@msgsentlist);

my $i=0;
my $msg;

print "\n<table border=0 cellpadding=2 cellspacing=0 width=90% align=center>\n";
print "<tr bgcolor=darkblue><td><b><font color=white>$conf::totext</b></td><td><b><font color=white>$conf::subjecttext</b></td><td><b><font color=white>$conf::datetext</b></td></tr>\n";
foreach $msg (@msgsentlist) {
	my ($msgdate,$msgto, $msgsubject)=split(";",$msg);
	if ( (($i)/2) == int(($i)/2) ) {
		print "<tr>\n";
	} else {
		print "<tr bgcolor=$conf::lightbgcolor>\n";
	}
	$msgto=~ s/\</\&lt;/g;
    $msgto=~ s/\,/\<br\>\n/g;
	print "<td>$msgto</td><td>$msgsubject</td><td><font size=-1>$msgdate</font></td></tr>\n";
	$i++;
}
print "</table>";

$nswmc->stopmenu() if ($conf::noframes);

print"</BODY></HTML>";
exit;

